<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<div class="my-4">
  <div
    class="fw-bold"
    [innerText]="messages.LIMITATIONS_TAB_INFO">
  </div>
  <div [innerText]="messages.LIMITATIONS_TAB_INFO_2">
  </div>
</div>


<form [formGroup]="limitationsForm" class="ls-form">

  <div class="form-group row">
    <label
      for="userLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.USER">
    </label>
    <div class="col-sm-8">
      <input
        id="userLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="userLimitationInput">
    </div>
  </div>

  <div class="form-group row">
    <label
      for="deskLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.DESK">
    </label>
    <div class="col-sm-8">
      <input
        id="deskLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="deskLimitationInput"
        autofocus="true">
    </div>
  </div>

  <div class="form-group row">
    <label
      for="workflowLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.WORKFLOW">
    </label>
    <div class="col-sm-8">
      <input
        id="workflowLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="workflowLimitationInput">
    </div>
  </div>

  <div class="form-group row">
    <label
      for="typeLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.TYPE">
    </label>
    <div class="col-sm-8">
      <input
        id="typeLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="typeLimitationInput">
    </div>
  </div>

  <div class="form-group row">
    <label
      for="subtypeLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.SUBTYPE">
    </label>
    <div class="col-sm-8">
      <input
        id="subtypeLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="subtypeLimitationInput">
    </div>
  </div>

  <div class="form-group row">
    <label
      for="folderLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.FOLDER">
    </label>
    <div class="col-sm-8">
      <input
        id="folderLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="folderLimitationInput">
    </div>
  </div>

  <div class="form-group row">
    <label
      for="metadataLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.METADATA">
    </label>
    <div class="col-sm-8">
      <input
        id="metadataLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="metadataLimitationInput">
    </div>
  </div>

  <div class="form-group row">
    <label
      for="layerLimitationInput"
      class="col-sm-4 col-form-label"
      [innerText]="messages.LAYER">
    </label>
    <div class="col-sm-8">
      <input
        id="layerLimitationInput"
        class="form-control col-sm-8"
        type="text"
        formControlName="layerLimitationInput">
    </div>
  </div>

</form>

